#include "render_device.hpp"

#include <vga.h>
#include <vgagl.h>

class VGAGLdev : public Render_device
{
private:

  int mode, width, height; // Image geometry

#ifndef resize_image
#ifdef center_image
  int x_offset, y_offset;      // Image position in screen
#endif
#endif

  int initialized;

public:
  VGAGLdev();

  void init();
  void deinit();

  void redraw();
private:
  void run();
};
